.step15
    YuriHeader(
        title="Documentación"
        tag="Quiero invertir"
    )
    b-row.form(class="justify-content-center__ mb-5")
        b-col(cols="12" lg="10" class="points mb-5 bg-light")
            .l-subtitle.mt-4 Adjuntar la información correspondiente
            .l-text.my-4 Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia

    b-row.form(class="justify-content-center")
        b-col(cols="12" lg="4" xl="4")
            div(:key="count")
                div(v-for="(intervener, indexIntervener) in interveners" :key="`intervener__${indexIntervener}`")
                    .mb-4
                        .border.rounded.bg-light.border-radius.p-3.d-flex.d-flex.justify-content-between.align-items-center(
                            v-b-toggle="`collapse-${indexIntervener}`"
                            variant="primary"
                        )
                            div
                                b.l-text {{ intervener.name }} {{ intervener.lastname_1 }} {{ intervener.lastname_2 }}
                                .text-muted.small  {{ $t(`intervenersStats.all.${intervener.account_intervener_role}`) }}
                            .when-opened
                                span.arrow
                                    i.fal.fa-angle-up
                            .when-closed
                                span.arrow
                                    i.fal.fa-angle-down
                        b-collapse(:id="`collapse-${indexIntervener}`" :visible="indexIntervener < 1")
                            RowIntervener(:intervener="intervener" :autoOpen="indexIntervener < 1")
        b-col.d-none.d-lg-block(cols="12" lg="7" xl="7")
            div(v-if="showUploadSection")
                UploadDocument(
                    :intervener="intervener"
                    :document="document"
                    :key="document.uuid"
                )
            div(v-if="showPreviewFile")
                div(v-if="filePreviewLoading") Cargando documento....
                div(v-else)
                    div(v-if="fileType === 'application/pdf'" style="display: inline-block; width: 100%; max-height: 90vh; overflow-y: auto")
                        .alert.alert-info Previsualización PDF pendiente de implementación.
                        //- pdf(
                        //-     :key="i"
                        //-     :page="i"
                        //-     :src="filePreview"
                        //-     style="display: inline-block; width: 100%"
                        //-     v-for="i in numPages"
                        //- )
                    img.w-100.mb-3(v-else :src="filePreview")
            div.border.p-4(v-if="!showUploadSection && !showPreviewFile") Para ver la previsualización de un documento, navega por el árbol de documentos de la izquierda y pulsa sobre el TÍTULO de alguno de ellos
    b-row.form(class="justify-content-center")
        b-col(cols="12")
            .d-flex.flex-column.align-items-end.justify-content-end.mt-3.mt-md-5
                span(
                    class="e-btn e-btn__brand"
                    @click="handleNext()"
                ) Continuar
                span.color-brand.mt-3.cursor-pointer(@click="handleNextWithoutDocuments()") Mejor hacerlo en otro momento
